Skip to content
View in Postman (opens in new tab)

Create multiple catalog items

post

/catalogs/{catalog_name}/items

Use this endpoint to create multiple items in your catalog.

Each request can support up to 50 items. This endpoint is asynchronous.

Troubleshooting

The following table lists possible returned errors and their associated troubleshooting steps.

Error Troubleshooting
catalog-not-found Check that the catalog name is valid.
ids-not-strings Item IDs must be of type string.
ids-not-unique Item IDs must be unique in the request.
ids-too-large Item IDs can’t be more than 250 characters.
invalid-ids Item IDs can only include letters, numbers, hyphens, and underscores.
invalid-fields Confirm that all fields you are sending in the API request already exist in the catalog. This is not related to the ID field mentioned in the error.
invalid-keys-in-value-object Item object keys can’t include . or $.
items-array-is-invalid items must be an array of objects.
items-missing-ids Some items don’t have item IDs. Check that each item has an item ID.
items-too-large Item values can’t exceed 5,000 characters.
request-includes-too-many-items Your request has too many items. The item limit per request is 50.
too-deep-nesting-in-value-object Item objects can’t have more than 50 levels of nesting.
unable-to-coerce-value Item types can’t be converted.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!